Skip to content

Get an AI Template

Request

Retrieve a single AI template by UUID, including its prompt and LLM config.

Security
bearerAuth
Path
uuidstringrequired

Resource UUID.

GET
/flows/api/ai-templates/{uuid}
curl -i -X GET \
  'https://leadgen.grinfi.io/flows/api/ai-templates/{uuid}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

AI template details.

Bodyapplication/json
uuidstring, (uuid)
team_idinteger
template_category_uuidstring or null, (uuid)
namestring
subjectstring or null
bodystring or null
attachmentsArray of objects or null
typestring

Template type.

Enum:"message""connection_note""email""post_comment"
llm_uuidstring or null, (uuid)
llm_configobject or null
promptstring or null
enable_validationboolean
validation_llm_uuidstring or null, (uuid)
validation_llm_configobject or null
validation_promptstring or null
enable_fallbackboolean
settingsobject or null
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "team_id": 0, "template_category_uuid": "8615c630-89da-4f0b-abff-7eec9679fbe3", "name": "string", "subject": "string", "body": "string", "attachments": [ {} ], "type": "message", "llm_uuid": "b7cc7bc5-91a7-491e-a0a2-aef6fcdc275b", "llm_config": {}, "prompt": "string", "enable_validation": true, "validation_llm_uuid": "d44ed88c-5ace-4a4f-91d3-5b30b7b6d898", "validation_llm_config": {}, "validation_prompt": "string", "enable_fallback": true, "settings": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }